Subject: Re: bug#16178: 24.3.50; eww: S-SPC scrolls downward not upward

From: Josh <[email-masked]>
Date: Tue, 17 Dec 2013 14:27:02 -0800

On Tue, Dec 17, 2013 at 1:19 PM, Juri Linkov <[email-masked]> wrote:
>> When pressing S-SPC (shift-Space) when viewing a web page in EWW, the
>> buffer scrolls downwards.  This is different from Info, View and other
>> display modes, where S-SPC scrolls upwards.
>
> Thanks for the suggestion.  In addition to S-SPC, for compatibility
> with Info in eww would be better also to use "r" for 'eww-forward-url
> ("l" with eww-back-url already uses the same key as in Info).

It would be nice if the key bindings for Info-mode and help-mode
were more consistent.  Since both "l" and "r" are currently
unbound in help-mode, would this be an opportune time to bind them
to `help-go-back' and `help-go-forward' respectively?